Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.resource.metadata
Interface MimeTypePrecondition

All Superinterfaces:
  Cloneable, MetaDataObject, Precondition, Serializable, SimplePrecondition, XMLizable

    public interface MimeTypePrecondition

extends SimplePrecondition

A precondition on the MIME Type of the entity. This interface is a kind of `SimplePrecondition` to be used as a convenience.

Field Summary

Fields inherited from interface org.apache.uima.resource.metadata.SimplePrecondition
`ELEMENT_OF, EQUAL, LANGUAGE_SUBSUMED, PRECONDITION_TYPE`

Method Summary
`String[]` | `getMimeTypes()` Gets the MIME types that satisfy this precondition.
`void` | `setMimeTypes(String[] aMimeTypes)` Sets the MIME types that satisfy this precondition.

Methods inherited from interface org.apache.uima.resource.metadata.SimplePrecondition
`getComparisonValue, getDefault, getFeatureName, getFsIndexName, getFsMatchConstraint, getPreconditionType, getPredicate, setComparisonValue, setDefault, setFeatureName, setFsIndexName, setFsMatchConstraint, setPredicate`

Methods inherited from interface org.apache.uima.resource.metadata.Precondition
`evaluate`

Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject
`clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

Methods inherited from interface org.apache.uima.util.XMLizable
`buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

Method Detail

### getMimeTypes

    String[] getMimeTypes()

  Gets the MIME types that satisfy this precondition.

  Note that if the document's MIME Type is unknown, the value of the `default` property determines whether this precondition is satisfied.

  Returns:
    the MIME Types that satisfy this precondition

### setMimeTypes

    void setMimeTypes(String[] aMimeTypes)

  Sets the MIME types that satisfy this precondition.

  Note that if the document's MIME Type is unknown, the value of the `default` property determines whether this precondition is satisfied.

  Parameters:
    `aMimeTypes` - the MIME Types that satisfy this precondition
  Throws:
    `UIMA_UnsupportedOperationException` - if this `MetaDataObject` is not modifiable.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 The Apache Software Foundation. All Rights Reserved.